summaryrefslogtreecommitdiffstats
path: root/git/bin/git-checkout-branches
diff options
context:
space:
mode:
Diffstat (limited to 'git/bin/git-checkout-branches')
-rwxr-xr-xgit/bin/git-checkout-branches29
1 files changed, 29 insertions, 0 deletions
diff --git a/git/bin/git-checkout-branches b/git/bin/git-checkout-branches
new file mode 100755
index 0000000..5b1ef15
--- /dev/null
+++ b/git/bin/git-checkout-branches
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+CURRENT_BRANCH="$(git branch --show-current)"
+REMOTE_BRANCHES="$(git branch -r | awk '{ print $1 }')"
+
+for REMOTE_BRANCH in ${REMOTE_BRANCHES}
+do
+ BRANCH="$(echo "${REMOTE_BRANCH}" | cut -d/ -f 2-)"
+
+ case "${BRANCH}" in
+ HEAD)
+ continue
+ ;;
+ esac
+
+ if git branch | grep -Eq "^ *${BRANCH}$"
+ then
+ continue
+ fi
+
+ git checkout -b "${BRANCH}" "${REMOTE_BRANCH}"
+done
+
+if [ "$(git branch --show-current)" != "${CURRENT_BRANCH}" ]
+then
+ git checkout "${CURRENT_BRANCH}"
+fi